# Copyright (c) 2009 gocept gmbh & co. kg
# See also LICENSE.txt

import grok
import megrok.pagelet
import sys
import zope.app.exception.interfaces
import zope.exceptions
import zope.interface
import zope.interface.common.interfaces

class Index(megrok.pagelet.Pagelet):
    grok.name('index.html')
    grok.context(zope.interface.common.interfaces.IException)
    zope.interface.implements(zope.app.exception.interfaces.ISystemErrorView)

    def isSystemError(self):
        return True

    def traceback(self):
        return ''.join(zope.exceptions.exceptionformatter.format_exception(as_html=True, *sys.exc_info()))
